org.apache.pdfbox.contentstream.operator.color

## Class SetStrokingDeviceRGBColor

- java.lang.Object
- - org.apache.pdfbox.contentstream.operator.OperatorProcessor
  - - org.apache.pdfbox.contentstream.operator.color.SetColor
    - - org.apache.pdfbox.contentstream.operator.color.SetStrokingColor
      - - org.apache.pdfbox.contentstream.operator.color.SetStrokingDeviceRGBColor

    public class SetStrokingDeviceRGBColor
    extends SetStrokingColor

RG: Set the stroking colour space to DeviceRGB and set the colour to use for stroking operations.

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`SetStrokingDeviceRGBColor(PDFStreamEngine context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Returns the name of this operator, e.g.
`void` `process(Operator operator, List<COSBase> arguments)` RG Set the stroking colour space to DeviceRGB and set the colour to use for stroking operations.

### Methods inherited from class org.apache.pdfbox.contentstream.operator.color.SetStrokingColor

`getColor, getColorSpace, setColor`

### Methods inherited from class org.apache.pdfbox.contentstream.operator.OperatorProcessor

`checkArrayTypesClass, getContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetStrokingDeviceRGBColor

    public SetStrokingDeviceRGBColor(PDFStreamEngine context)

### Method Detail

#### process

    public void process(Operator operator,
                        List<COSBase> arguments)
                 throws IOException

RG Set the stroking colour space to DeviceRGB and set the colour to use for stroking operations.

Overrides:
  `process` in class `SetColor`
Parameters:
  `operator` - The operator that is being executed.
  `arguments` - List
Throws:
  `IOException` - If the color space cannot be read.

#### getName

    public String getName()

Description copied from class: `OperatorProcessor`
Returns the name of this operator, e.g. "BI".

Overrides:
  `getName` in class `SetStrokingColor`
Returns:
  the name of the operator